Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.capability.system
Class RMIActivation

    java.lang.Object
      org.jini.rio.qos.capability.PlatformCapability
          org.jini.rio.qos.capability.system.RMIActivation

All Implemented Interfaces:
  Serializable, ResourceCostProducer, PlatformCapabilityMBean

    public class RMIActivation

extends PlatformCapability

The `RMIActivation` object provides definition for the RMI Activation System

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.qos.capability.PlatformCapability
`capabilities, description, DESCRIPTION, downloadRecords, logger, MANUFACTURER, MODEL, NAME, NATIVE_LIBS, path, PROVISIONABLE, softwareLoad, STATIC, VENDOR, VERSION`

Constructor Summary
`RMIActivation()` Create a RMIActivation object
`RMIActivation(String description)` Create a RMIActivation object with a description

Method Summary

Methods inherited from class org.jini.rio.qos.capability.PlatformCapability
`addSoftwareDownloadRecord, calculateResourceCost, clearAll, define, defineAll, equals, getCapabilities, getClassPath, getDescription, getName, getPath, getPlatformKeys, getSoftwareDownloadRecords, getSoftwareLoad, getType, getValue, hasBasicSupport, hashCode, loadResources, matches, remove, setClassPath, setDescription, setPath, setResourceCostModel, setSoftwareLoad, setType, supports, supports, toString, versionSupported`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RMIActivation

    public RMIActivation()

  Create a RMIActivation object

### RMIActivation

    public RMIActivation(String description)

  Create a RMIActivation object with a description

  Parameters:
    `description` - The description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.